Update Label
curl --request PUT \
--url https://api.royalti.io/labels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"logo": "<string>",
"website": "<string>",
"country": "<string>",
"foundedDate": "2023-12-25",
"labelCode": "<string>",
"dpid": "<string>",
"contacts": {},
"socialLinks": {},
"distributionSettings": {},
"catalogSettings": {},
"parentLabelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distribution": "<string>",
"genres": [
"<string>"
],
"isActive": true,
"metadata": {}
}
'import requests
url = "https://api.royalti.io/labels/{id}"
payload = {
"name": "<string>",
"logo": "<string>",
"website": "<string>",
"country": "<string>",
"foundedDate": "2023-12-25",
"labelCode": "<string>",
"dpid": "<string>",
"contacts": {},
"socialLinks": {},
"distributionSettings": {},
"catalogSettings": {},
"parentLabelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distribution": "<string>",
"genres": ["<string>"],
"isActive": True,
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
logo: '<string>',
website: '<string>',
country: '<string>',
foundedDate: '2023-12-25',
labelCode: '<string>',
dpid: '<string>',
contacts: {},
socialLinks: {},
distributionSettings: {},
catalogSettings: {},
parentLabelId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
distribution: '<string>',
genres: ['<string>'],
isActive: true,
metadata: {}
})
};
fetch('https://api.royalti.io/labels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"TenantId": 123,
"name": "<string>",
"logo": "<string>",
"website": "<string>",
"country": "US",
"foundedDate": "2023-12-25",
"labelCode": "<string>",
"dpid": "<string>",
"contacts": {},
"socialLinks": {},
"distributionSettings": {},
"catalogSettings": {},
"ddexSettings": {},
"parentLabelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"distribution": "<string>",
"genres": [
"<string>"
],
"isActive": true,
"metadata": {},
"tradingName": "<string>",
"pLinePrefix": "<string>",
"cLinePrefix": "<string>",
"isrcPrefix": "<string>",
"upcPrefix": "<string>",
"parentLabel": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"logo": "<string>"
},
"childLabels": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"logo": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": "error",
"message": "Invalid request parameters"
}{
"status": "error",
"message": "Unauthorized"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}{
"status": "error",
"message": "Resource not found"
}{
"status": "error",
"message": "Internal server error"
}Label
Update Label
Updates an existing label’s information.
PUT
/
labels
/
{id}
Update Label
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Authorization:- Required role:
adminor higher
Code Examples
const response = await fetch('https://api.royalti.io/labels/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"name": "sample-name",
"logo": "sample-logo",
"website": "sample-website",
"country": "sample-country",
"foundedDate": "2024-01-21",
"labelCode": "sample-labelCode",
"dpid": "sample-dpid",
"contacts": {},
"socialLinks": {},
"distributionSettings": {},
"catalogSettings": {},
"parentLabelId": "sample-parentLabelId",
"distribution": "sample-distribution",
"genres": [
{}
],
"isActive": true,
"metadata": {}
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/labels/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"name":"sample-name","logo":"sample-logo","website":"sample-website","country":"sample-country","foundedDate":"2024-01-21","labelCode":"sample-labelCode","dpid":"sample-dpid","contacts":{},"socialLinks":{},"distributionSettings":{},"catalogSettings":{},"parentLabelId":"sample-parentLabelId","distribution":"sample-distribution","genres":[{}],"isActive":true,"metadata":{}}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/labels/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name":"sample-name","logo":"sample-logo","website":"sample-website","country":"sample-country","foundedDate":"2024-01-21","labelCode":"sample-labelCode","dpid":"sample-dpid","contacts":{},"socialLinks":{},"distributionSettings":{},"catalogSettings":{},"parentLabelId":"sample-parentLabelId","distribution":"sample-distribution","genres":[{}],"isActive":true,"metadata":{}}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Body
application/json
⌘I